from django.shortcuts import render
from django.views.generic.list import View
from review.models import Review, Reply
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger


class ReviewListView(View):

    def get(self, request, location_id, *args, **kwargs):
        reviews = Review.objects.filter(location_id=location_id).order_by('-update_time')
        page = request.GET.get('page', 1)
        # context = {
        #     'reviews': reviews
        # }
        paginator = Paginator(reviews, 50)
        try:
            reviews = paginator.page(page)
        except PageNotAnInteger:
            reviews = paginator.page(1)
        except EmptyPage:
            reviews = paginator.page(paginator.num_pages)
        return render(request, 'review_list.html', {'reviews': reviews})
